%define name	nedit
%define release 13.1mdk
%define version	5.1.1
%define prefix	%{_prefix}

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
Source:		http://www.Nedit.org/ftp/v5_1_1/%{name}-%{version}.tar.bz2
Source2:	icons-%{name}.tar.bz2
Patch0:		nedit-cflags.patch.bz2
Patch1:		nedit-5.1.1-missinginclude.patch.bz2
Patch2:		nedit-5.1.1-security.patch
Requires:	lesstif >= 0.89.4
BuildRequires:	lesstif-devel XFree86-devel
Buildroot:	%{_tmppath}/%{name}-root
Summary:	A text editor for the X Window System

%description
NEdit is a multi-purpose text editor for the X Window System, which combines a
standard, easy to use, graphical user interface with the thorough functionality
and stability required by users who edit text eighthours a day. It provides 
intensive support for development in a wide variety of languages, text processors,
and other tools, but at the same time can be used productively by just about anyone 
who needs to edit text. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 nedit.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
install -m 644 nc.man $RPM_BUILD_ROOT%{_mandir}/man1/ncl.1
cd source 
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 nedit $RPM_BUILD_ROOT%{_bindir}/nedit
install -m 755 nc $RPM_BUILD_ROOT%{_bindir}/ncl

# Mandrake menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="nedit" icon="%{name}.xpm" needs="x11" title="Nedit" longtitle="A text editor based on lestif" section="Applications/Editors"
EOF

# mdk menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar jxvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ReleaseNotes nedit.doc
%{_bindir}/%{name}
%{_bindir}/ncl
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ncl.1*

%changelog
* Wed Apr 25 2001 Vincent Danen <vdanen@mandrakesoft.com> 5.1.1-13.1mdk
- security update for 8.0

* Mon Apr  9 2001 Yves Duret <yduret@mandrakesoft.com> 5.1.1-13mdk
- macros : %%make
- s/Copyright/License/
- rename nc to ncl according to http://www.nedit.org/faq/sect_bugs.shtml#N1140

* Wed Mar 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.1.1-12mdk
- Added manpage for the client (nc)
- Cleaned up specfile

* Tue Feb 20 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 5.1.1-11mdk
- specfile cleanup
- move binaries to standard /usr/bin

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.1.1-10mdk
- patched preferences.c so that it won't fail on missing the stdio.h include.

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-9mdk
- icons should be transparents
- provide large icon
- more macrozif..

* Mon Oct 02 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 5.1.1-8mdk
- Include docs.
- Install man page.
- Include RPM_OPT_FLAGS in CFLAGS.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.1.1-7mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.1.1-6mdk
- rebuild it with macros

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-5mdk
- BuildRequires: lesstif-devel
- Use tmppath macros.

* Tue May 09 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-4mdk
- 32x32 icon 
- menu entry was messed up in %files section 

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-3mdk
- add icon.

* Thu Apr 06 2000 Daouda Lo <daouda@mandrasoft.com> 5.1.1-1mdk
- first release for Linux Mandrake
- located in Office group 

